#!/bin/bash
# 
# Simple tool for stopping Spark, HBase, and HDFS in sequence. Displaying jps for current machine
# and all registered slaves.
#
# $Id: //guest/cmclouth/projects/htd-deployment/htd-source/tools/stopanalytics.sh#4 $
#

function runjps() {
	echo "jps on $HOSTNAME"
	jps
	for htdanalyticsdataslave in $(grep -v "^$" "/opt/interset/hadoop/etc/hadoop/slaves" | grep -v "^#"); do
		echo "jps on $htdanalyticsdataslave"
		ssh "$htdanalyticsdataslave" jps
	done
}
HOSTNAME=$(hostname)
# sudo service spark stop
/opt/interset/spark/sbin/stop-all.sh
sleep 3
# sudo service hbase stop
/opt/interset/hbase/bin/stop-hbase.sh
sleep 3
# sudo service hdfs stop
/opt/interset/hadoop/sbin/stop-dfs.sh
sleep 3
runjps
